<ion-content class="scroll-content">

  
  <!-- form with input text and submit buttons -->
  <form [formGroup]="registerForm" (ngSubmit)="createEnfant()">
      <ion-row justify-content-center>
          <ion-col size="10">
              <ion-list>
                  <ion-item>
                      <ion-input type="text" placeholder="الإسم" name="prenom" formControlName="prenom" ngModel required>
                      </ion-input>
                  </ion-item>
                  <ion-item *ngIf="!registerForm.controls.prenom.valid  && (registerForm.controls.prenom.dirty)">
                    <p>رجاء ادخل اسما صحيحا.</p>
                </ion-item>
                  <ion-item>
                      <ion-input type="text" placeholder="اللقب" name="nom"formControlName="nom" ngModel required>
                      </ion-input>
                  </ion-item>
                  <ion-item *ngIf="!registerForm.controls.prenom.valid  && (registerForm.controls.prenom.dirty)">
                    <p>رجاء ادخل لقبا صحيحا.</p>
                </ion-item>
                  <ion-item>
                      <ion-input type="text" placeholder="البريد الإلكتروني" name="email" formControlName="email" ngModel required>
                      </ion-input>
                  </ion-item>
                  <ion-item *ngIf="registerForm.controls.email.dirty">
                    <p *ngIf="!registerForm.controls.email.valid ">يرجى إدخال البريد الإلكتروني الصحيح.</p>
                    <p  *ngIf="nbr==1">البريد الالكتروني موجود بالفعل. اختر بريدًا إلكترونيًا آخر</p>
                </ion-item>
                  <ion-item>
                      <ion-input type="text" placeholder="كلمة المرور" name="password"  formControlName="password" ngModel required>
                      </ion-input>
                  </ion-item>
                  <ion-item *ngIf="!registerForm.controls.password.valid  && (registerForm.controls.password.dirty)">
                    <p>الرجاء إدخال كلمة السر </p>
                </ion-item>
                  <ion-item>
                    <ion-label>تاريخ الولادة</ion-label>
                    <ion-datetime displayFormat="DD-MMM-YYYY" formControlName="date_naissance" name="date_naissance" min="{{min}}" max="{{max}}"></ion-datetime>
                  </ion-item>
              </ion-list>
              <ion-row radio-group value="biff">
                <ion-radio-group allow-empty-selection="true" name="radio-group" #radioGroup>
                <ion-col>
                <ion-item>
                  <ion-label>ولد</ion-label>
                  <ion-radio slot="start" value="boy"  formControlName="sexe" name="sexe"></ion-radio>
                </ion-item>
              </ion-col>
                <ion-col>
                <ion-item>
                  <ion-label>بنت</ion-label>
                  <ion-radio slot="start" value="girl"  formControlName="sexe" name="sexe"></ion-radio>
                </ion-item>
              </ion-col>
            </ion-radio-group>
              </ion-row>
              <ion-row>
                <ion-col>
                  <img [src]="selectedPhotobase64"  *ngIf="selectedPhotobase64" (click)="tomarfoto()"  style="width:100px;height: 100px;"/> 
                </ion-col>
              </ion-row>
          </ion-col>
      </ion-row>
      <ion-row justify-content-center>
          
          <ion-col size="3">
              <ion-button size="large" type="submit" [disabled]="registerForm.invalid" expand="block">التسجيل</ion-button>
          </ion-col>
      </ion-row>
  </form>
</ion-content>